• GoDaddy Community
  • Managed WordPress Hosting
  • Managed WordPress Hosting

    cancel
    Showing results for 
    Show  only  | Search instead for 
    Did you mean: 
    Go to solution

    Wordpress Managed PHP Version

    How to change PHP Version for GoDaddy Wordpress Managed it  need two be  update  because new woocommerce plugins recommend PHP Version two be 5.6. in  MySQL version need two be 5.6     wil this be  Automatic fix   in  MaxMind GeoIP Database: need fix  ps before i buy a new web hosting will this wordpress Managed be Automatic update two new PHP version 

    155 REPLIES 155
    Advocate III Advocate III
    Advocate III

    When is PHP 7 coming to WordPress Managed Hosting?

    I'm curious what Godaddy's plans are for updating PHP for Managed WordPress Hosting.

     

    My sites currently report running under PHP version 5.4.42 which was released in June 2015. Version 7 should be significantly faster (see attached infographic snip from http://www.zend.com/en/resources/php7_infographic)

     

    Since version 7 landed in Dec 2015, I would think there would be ample opportunity for testing and validation for such an important component of WordPress hosting.

     

    What can we expect?

    WordPress Coach & Consultant
    Product Team
    Product Team

    Re: When is PHP 7 coming to WordPress Managed Hosting?

    Hi, thanks for reaching out and great question.

     

    PHP 7 delivers an awesome performance boost and has been fully compatible with WordPress since late last year.  Though, unfortunately many plugins and themes aren't fully compatible with it.  This is why you'll notice that no Managed WordPress host (that I know of) has fully rolled it out to all customers--it's a non-trivial thing.

     

    You're correct that our Managed WordPress Hosting is running on PHP 5.4.  This is because our current object caching layer only supports up to PHP version 5.4.  We have hardware on order to upgrade our caching layer to Redis in every datacenter, which will then allow us to upgrade to PHP 5.6 and a few other nice enhancements.

     

    So, what about PHP 7, right?  After we make to above upgrades later this year and launch our Asian datacenter we'll turn our focus to a larger, more substantial upgrade of our Managed WordPress platform which will include PHP 7 and a lot of other significant improvements.

     

    Sorry I can't give an exact date, but hopefully that context gives you a better idea of what we're up to and what to expect down the road.

     

    If you have any other questions just ask!

     

    Thanks,

    Gabe

    Gabriel A. Mays
    Head of WordPress, GoDaddy
    New

    Re: When is PHP 7 coming to WordPress Managed Hosting?

    I vote also for PHP 7 on Shared Hosting here in GoDaddy. Other competitor like SiteGround have introduced this function many weeks ago and obviously it's an optional choice using the PHP Version manager. So please try to give us an eta for this upgrade.

     

    Thanks.

    Moderator
    Moderator

    Re: Wordpress Managed PHP Version

    Hi @joeelectronics.

    The PHP/MySQL version on Managed WordPress cannot be manually changed. The version is managed by our hosting teams. Our teams to apply updates as versions are tested and as needed by WordPress.

    ^Gary

    Gary - GoDaddy | Community Moderator
    24/7 Support | Check System Status
    New

    Re: Wordpress Managed PHP Version

    When can we expect to get an update for the PHP version??

    Re: Wordpress Managed PHP Version

    i have the same issue i need to update to 5.6 i have plugins not working for woocommerce.

    Highlighted

    Re: Wordpress Managed PHP Version

    btw what version is it currently?..i cant seem to locate that info.

    Re: Wordpress Managed PHP Version

    <?php phpinfo(); ?>

    Regards, R. Zelnick
    New

    Re: Wordpress Managed PHP Version

    need at least 5.5 for constant contact plugin

    Product Team
    Product Team

    Re: Wordpress Managed PHP Version

    Hello @cds@CryptoIsKey@rzelnick & @joeelectronics, great questions.  We have hardware on order to upgrade our object caching layer to Redis.  This will also allow us to upgrade our PHP version to 5.6.  We plan to update our MySQL version soon after.

     

    Thanks!

    Gabe

    Gabriel A. Mays
    Head of WordPress, GoDaddy
    New

    Re: Wordpress Managed PHP Version

    Here is my concern. GoDaddy wants it's clients to continue using a version that is no longer supported and creates a security risk for it's clients using the 'Managed WordPress' environment. I was sold that environment because of previous security issues only to put myself in the same position. There's been no compensation and purchasing a new plan or moving my managed to my current shared host.

    http://php.net/supported-versions.php

    Moderator
    Moderator

    Re: Wordpress Managed PHP Version

    Hey @mr910

     

    Appreciate the follow up. Regarding your security concerns with PHP, I'll forward your feedback over to our engineers. In the meantime, I just wanted to assure you that our Managed WordPress environment is very secure. Risks to a WordPress site tend to come more often from plugins, themes, and user practices; not from PHP vulnerabilities within the environment.

    As for your mention of compensation; I'm not sure what the exact situation was that had occurred in your account, but if there's a concern of needing to be compensated for the matter then I would recommend reaching out to our live support so our team can help review the matter and assist. They'll be more than happy to try and make this right.

     

    CG - GoDaddy | Community Moderator
    24/7 support available at x.co/247support

    Re: Wordpress Managed PHP Version

    GaryA.. Did Go-daddy fix this below issue...If not when will you fix it as my account as errors..  If you are not going to fix it...why not?

     

    Issue: woocommerce plugins recommend PHP Version two be 5.6. in  MySQL version need two be 5.6

    Re: Wordpress Managed PHP Version

    +1.  GD WP Managed needs urgently to be upgraded to PHP 5.6

    Please provide the schedule.

    Re: Wordpress Managed PHP Version

    I just enrolled with godaddy/wordpress and to need woocommerce.  When? For those who have been using for awhile, how are you currently doing sales?  Thanks

    Helper IV Helper IV
    Helper IV

    Re: Wordpress Managed PHP Version

    @tonyawilhelm For simple ecommerce websites without a shopping cart/login functionality forms may be a way to go. Formstack works well for these purposes. Even Gravity Forms can be a good WordPress specific solution.

     

    For sites with large inventory (10-1000) products woo is good too but it can become very complex. A hosted ecommerce solution like Shopify is another great option.

     

    BTW in regards to the PHP version discussion: "RECOMMENDED" does not mean "REQUIRED". Slightly older versions of PHP are fine as long as WordPress core requirements are being met that should be enough.

     

    The risk of a security vulnerability is MUCH higher with what's installed on WordPress than the underlying infrastructure. Since there are most likely many dependencies with a new version of PHP, this has to be handled very carefully. In some ways I depend on Managed WordPress to handle these tricky dependencies and put the PHP version out of sight out of mind.

     

    If you install software that REQUIRES PHP 5.6 then Managed WordPress from GD is not for you -- at least not yet. I'd think also releasing a road map on when any new version of PHP is installed is proprietary information I'd not like shared on a public forum like this. My check on ManagedWP tells me PHP 5.4.42 is being used -- it's about a year old now - and is end of life. If I was a betting man I'd think by end of 2016, PHP 5.6 will be activated on Managed WordPress.

     

     

     



    Alex Sirota, PMP - NewPath Consulting - Schedule some time with Alex
    "At the moment of commitment, the universe conspires to assist you." -Johann Wolfgang von Goethe
    New

    Re: Wordpress Managed PHP Version

    @Gabe Can you provide a timeline for implementation? I have several sites running WooCommerce, which recommend 5.6 . I was told that moving them was a manual process.

     

    Re: Wordpress Managed PHP Version

    I have an online store which is not syncing. Urgently need the upgrade. If this does not get resolved, I need to take my business elsewhere and when I do that, I will take my additional 3 websites as well. 

    Product Team
    Product Team

    Re: Wordpress Managed PHP Version

    Hi @mgb.  I'm sorry, but I can't give a timeline because the hardware needed for the upgrade has already taken longer than we expected to arrive.  We'll notify customers when the upgrades begin and we'll push the PHP 5.6 update to everyone, so that will be done for you automatically.  I'm sorry, I know that's not a great answer, but it's the best I can give for now.

    Gabe

    Gabriel A. Mays
    Head of WordPress, GoDaddy

    Re: Wordpress Managed PHP Version

    I was shocked to learn the Managed WordPress PHP version is so out of date. This is a HUGE issue for so many reasons, including security!! A vital plugin that I need requires 5.5 or higher, and the ONLY reason I can't use it is because my hosting company (YOU) is so behind????? Whaaaa????? When will it be updated GoDaddy?????

    Re: Wordpress Managed PHP Version

    It's only 5.4.4 if you can believe that????? I was shocked. Pretty much lame and horrible, and we have no option to update it ourselves, leaving us vulnerable to security issues and unable to utilize the latest applications, plugins and tools for WordPress because GoDaddy prevents us. SUCKS.

    Re: Wordpress Managed PHP Version

    I completely agree! I HAVE HAD security issues, and now I know why. I feel totally lied to, mislead and really really mad. We should have been better taken care of here, and if I could leave I would!

    Re: Wordpress Managed PHP Version

    I am having issues now with WooCommerce sending emails because the PHP is out of date. Do we have a timeframe on this? Please? 

     

    Otherwise I am looking to move my site to a new wordpress server and would like to get a refund for my 3yr plan I purchased.

    Helper IV Helper IV
    Helper IV

    Re: Wordpress Managed PHP Version

    Is WooCommerce giving you an error that email is not working because PHP is out of date? Or are you making an assumption this is the case.

     

    Email can fail to send for a vast variety of reasons - here's a terrific troubleshooting guide on the wooCommerce website. One thing to definitely try is to see if new user registration or password reset links are working from your WP install. This is the same method WooCommerce uses so if the other email sending mechanisms work, then the issue is in WooCommerce implementation of sending emails and you may need to roll back to a version that still works for now.



    Alex Sirota, PMP - NewPath Consulting - Schedule some time with Alex
    "At the moment of commitment, the universe conspires to assist you." -Johann Wolfgang von Goethe

    Re: Wordpress Managed PHP Version

    Hello @Gabe,

     

    any news on the update?

     

    Tx. 

    New

    Re: Wordpress Managed PHP Version

    When will PHP be updated? I'm having major issues with Woocommerce extensions. Woocommerce suggests updating. But seriously! Why are we still on 5.4??? When can we expect to be updated? And why do you have a section in the cPanel PHP Selector where we can "seemingly" select a newer version, yet at the same time you clearly write: Changing php modules and php options via PHP Selector for native php version is impossible. What's that about?

     

    Please sort this out ASAP!!

    New

    Re: Wordpress Managed PHP Version

    Yes, we need to know when this will be updated ASAP.  We have a number of sites that use Managed WordPress with Woocommerce and need the php version updated to at least 5.5.  WHY are these servers so outdated on the php version?

    Product Team
    Product Team

    Re: Wordpress Managed PHP Version

    Hi @moussarifai  The hardware is still landing, so we're working on centralizing core to improve WP Cron performance in the meantime.  Once we upgrade the object caching layer we'll be able to update the PHP version.  Feel free to check back at the end of next month for updates.

     

    Gabe

    Gabriel A. Mays
    Head of WordPress, GoDaddy
    Product Team
    Product Team

    Re: Wordpress Managed PHP Version

    @Links @raindc

     

    Hey folks, thanks for commenting.  Checkout my update above, we're actively working on upgrading our Object Cache and PHP version.

     

    In the meantime I recommend reaching out to the WooCommerce team.  WooCommerce states they require PHP 5.2.4 or greater: https://wordpress.org/plugins/woocommerce/installation/  If their product isn't working with their required version they should update the version required or fix the issue.

     

    Gabe 

     

    Gabe

    Gabriel A. Mays
    Head of WordPress, GoDaddy
    Product Team
    Product Team

    Re: Wordpress Managed PHP Version

    Hi @Links

     

    You mentioned cPanel.  I'll pass along your comments, but I recommend starting a new thread on your cPanel issue because this is a Managed WordPress thread.  Hope this helps!

     

    Gabe

    Gabriel A. Mays
    Head of WordPress, GoDaddy
    New

    Re: Wordpress Managed PHP Version

    Actually you should look at this link on the Woocommerce website:

    https://docs.woocommerce.com/document/server-requirements/

     

    Also, the Constant Contact plugin requires 5.5 or above.

    New

    Re: Wordpress Managed PHP Version

    Hi @Gabe you said check back the end of next month.  So you do not for see this being done before the end of September?

    Product Team
    Product Team

    Re: Wordpress Managed PHP Version

    Hi @raindc, good question.

     

    Not necessarily.  It depends how quickly we wrap up the WP Cron improvement work and how long the Redis work takes after the hardware lands.  The upgrade to PHP 5.6 is fairly straightforward--there are just a couple things slated ahead of it, primarily the upgrade to Redis for object caching, which is required before we can upgrade PHP.  You guys will also see caching improvement with Redis, which is a new hardware tier.

     

    Gabe

    Gabriel A. Mays
    Head of WordPress, GoDaddy
    Product Team
    Product Team

    Re: Wordpress Managed PHP Version

    @raindc thank you!  That helps, thanks for the clarification.  I'll reach out and ask them to update the plugin requirements in the WordPress repository.

     

    Gabe

    Gabriel A. Mays
    Head of WordPress, GoDaddy
    Advocate I

    Re: Wordpress Managed PHP Version

    Agreed - I've already had a couple of serious issues with my Managed WordPress site becoming glitchy, slow and unstable because of this old software.

     

    The sales department sold me on Managed WP and explained that it would be the latest, fastest and greatest product to host my WP site, but now I so regret buying it and wish I'd gone with my gut and chosen cPanel instead. At least cPanel allows a lot of freedom of control; my other sites on cPanel seem to run a lot faster, too. Smiley Sad

     

    Things are getting worse by the week with the old PHP version, I sure hope this behind the scenes upgrade happens sooner rather than later, I can't afford to have my site down this often.

    Re: Wordpress Managed PHP Version

    PHP Version 5.4.42.  I don't understand why Godaddy still uses such an obsolete PHP version. I'm hosting another site on Bluehost and they already run PHP 5.6.24.  Smiley Sad

    New

    Re: When is PHP 7 coming to WordPress Managed Hosting?

    Hi eveeybody, do you grave any news about Php7 to share with us? As I said before it's time to bring the new version of Php to shared hosting (version 7.0.9 can be considered a quite stable and mature).

    In a private conversation via tweeter with GD tech support they told me in June that will be a "great update including Php7 later this year".

    Someone could give us updates about this platform upgrade?
    Moderator
    Moderator

    Re: When is PHP 7 coming to WordPress Managed Hosting?

    Hey @emsoft,

     

    Afraid I don't have any specifics regarding a release date for PHP 7 on our shared hosting plans, but I do know it is something our engineers and administrators are looking to make available in future updates to our services. Right now, there just hasn't been any officially announced plans. 

     

    Once there's been an announcement, I'm sure there'll be more information we can provide. 

     

    CG - GoDaddy | Community Moderator
    24/7 support available at x.co/247support
    New

    Re: Wordpress Managed PHP Version

    WordPress 4.6 is out and surprise, the update doesn't appear in any of my Godaddy Managed WordPress hosting accounts. I'm assuming that's because of the servers' PHP version. How lame.

    Helper IV Helper IV
    Helper IV

    Re: Wordpress Managed PHP Version

    They roll out WP updates across the sites automatically slowly and surely. It has nothing to do with the PHP version. You will see 4.6 soon enough.



    Alex Sirota, PMP - NewPath Consulting - Schedule some time with Alex
    "At the moment of commitment, the universe conspires to assist you." -Johann Wolfgang von Goethe
    New

    Re: Wordpress Managed PHP Version

    Got it, that's still lame. All my other sites not hosted with GoDaddy have seen the update since it's release.  As of this morning, nothing yet.

    Re: Wordpress Managed PHP Version

    Please get the PHP issue resolved ASAP! The end of next month is not soon enough. PHP 5.4 is causing my new website to create this error:

    Fatal error: Cannot call overloaded function for non-object in/home/content/p3pnexwpnas13_data01/97/3053897/html/wp-content/uploads/cache/cityguide/_wplatte/_cityguide.page.php-dd718e2c6c333476ca11ba67ed027d6a.phpon line 61

      Other forums show this issue occurring for the past 2 years. They are all using GoDaddy. https://wordpress.org/support/topic/fatal-error-cannot-call-overloaded-function-for-non-object-1/pag...  

    https://wordpress.org/support/topic/fatal-error-cannot-call-overloaded-function-for-non-object?repli...

    Also, I am unable to use Modern Tribe's Event Calendar Community plugin. I feel betrayed that I was not told about this issue when GoDaddy sales recommended Managed Wordpress. Can you imagine having them say "We recommend Managed Wordpress unless you want to use plugins like WooCommerce and don't mind error pages until we update our servers."?

    Now they advise that I move my 4 managed wordpress sites to CPanel at my own expense. If I have to move my sites it will be to a different host that keeps their managed wordpress up to date.

     I have over 40 clients on GoDaddy and have loved your tech support. I have never regretted using GoDaddy until now. PLEASE fix this now!

    Ann

    Helper IV Helper IV
    Helper IV

    Re: Wordpress Managed PHP Version

    @Idahome you are making an assumption that switching to a new version of PHP will actually fix your particular issue. If you note in the forum you are linking to the error message is quite different.

     

    The Wordpress.org forum issue that was purportedly fixed by upgrading the PHP version was:

     

    Fatal error: Cannot call overloaded function for non-object in /home/internetgenie/public_html/internet-genie.co.uk/wp-includes/class-wp.php on line 529

    Your error is

    Fatal error: Cannot call overloaded function for non-object in
    /home/content/p3pnexwpnas13_data01/97/3053897/html/wp-content/uploads/cache/cityguide/_wplatte/_cityguide.page.php-dd718e2c6c333476ca11ba67ed027d6a.php on line 61

    There are some other stackoverflow.com posts on the "Cannot call overloaded function for non-object" errors and they claim that the issue is with poorly written themes that make PHP run out of memory. Here is one such post:

     

    http://stackoverflow.com/questions/21897786/what-does-the-error-php-fatal-error-cannot-call-overload...

     

    It looks like from your error you are using the City Guide Listing directory which is compatible with 4.5.x theme and GoDaddy has 4.6 rolled out now so that should not be an issue. There is nothing to indicate PHP 5.5.x is required, so it is most likely that this is an issue with City Guide.

     

     

    https://themeforest.net/item/city-guide-listing-directory-wordpress-theme/16662029/support

     

    This is a commercial theme, so if you have bought it why not ask the City Guide folks for support -- if they tell you PHP 5.5 is the only way to fix this (instead of changing some other parameter, design feature) then I can see your issue. But for now, this seems to be related to a variety of themes, not just City Guide. The error you are seeing can be blamed only on the version of PHP after it can be confirmed by the theme author support and documented as such. 

     

    The theme author for your theme, City Guide, e claims the following requirements as of August 19 2016

     

    https://www.ait-themes.club/doc/hosting-requirements/

     

    • PHP 5.3.1 version or later

     

    So in fact PHP 5.4.x is just fine according to the theme creator. The problem must be somewhere else, potentially in a configuration or some other server setting related to memory or a bug.

     

    PHP version updates that fix problems like this only mask the underlying issue. I understand you want the problem fixed, but there may a deeper issue with this theme that even a PHP update won't fix. 



    Alex Sirota, PMP - NewPath Consulting - Schedule some time with Alex
    "At the moment of commitment, the universe conspires to assist you." -Johann Wolfgang von Goethe

    Re: Wordpress Managed PHP Version

    Thanks for your quick reply! I visited the page that you linked to at http://stackoverflow.com/questions/21897786/what-does-the-error-php-fatal-error-cannot-call-overload... and found a work around:

    "We found that this is related to the APC module for Apache. To resolve it, simply edit your php.ini to uncomment the apc module so it reads from

    extension=apc.so

    to

    ;extension=apc.so

     

    I created a php.ini file because I couldn't find one in the FTP directory and entered:

    <? phpinfo(); ?>
    ;extension=apc.so

     

    It seems to be working right now. I hope that it is OK to create that php.ini file. Please let me know if it is not.

    Thank you for helping me! I do look forward to the server upgrades. 

    Ann

    Helper IV Helper IV
    Helper IV

    Re: Wordpress Managed PHP Version

    Good to hear. I reiterate though that the issue may be with a theme. You may want to let the authors of the theme know about your work around, it's probably a side related issue you have found a band aid solution for.



    Alex Sirota, PMP - NewPath Consulting - Schedule some time with Alex
    "At the moment of commitment, the universe conspires to assist you." -Johann Wolfgang von Goethe

    Re: Wordpress Managed PHP Version

    I'm showing current PHP version is: Version 5.4.42.

     

    Is there any further word on the timeline for the update?

     

    Like others have stated here, I was sold on the Managed Wordpress product that has NOT LIVED UP TO ITS ADVERTISEMENT.

    New

    Re: Wordpress Managed PHP Version

    Minimum Requirements

    The first step in setting up your WooCommerce-powered online store is to install WordPress and the WooCommerce plugin itself. But before doing so, you should check that your hosting environment meets our minimum requirements. These are:

    • PHP 5.6 or greater
    • MySQL 5.6 or greater

     

    New

    Re: Wordpress Managed PHP Version

    @Gabe,

    Any news?

    Product Team
    Product Team

    Re: Wordpress Managed PHP Version

    Hi @markjb thanks for checking in.

     

    Yes, things are moving along quite nicely.  We're still building out the Redis caching layer, which will allow us to upgrade.  We're still aiming to wrap the object caching upgrade and upgrades to MySQL 5.6 and PHP 5.6 in 6-7 weeks.

     

    As a bonus we rolled out improvements to increase the reliability and consistency of WP Cron that was causing issues for some customers.

     

    We also added a new stock image library API with thousands of high quality, royalty free images.  It's now available on all new Managed WordPress sites and will be rolled out to all existing sites over the next two weeks.

     

    Gabe

    Gabriel A. Mays
    Head of WordPress, GoDaddy